using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Controls.Primitives;
using Microsoft.UI.Xaml.Data;
using Microsoft.UI.Xaml.Input;
using Microsoft.UI.Xaml.Media;
using Microsoft.UI.Xaml.Navigation;

// To learn more about WinUI, the WinUI project structure,
// and more about our project templates, see: http://aka.ms/winui-project-info.

namespace ArchivesCenter4
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class setting : Page
    {
        public setting()
        {
            this.InitializeComponent();
            SuserNameBox.Text = Settings.Default.UserName;
            SpswdeBox.Password = Settings.Default.Password;
            SdbTitleBox.Text = Settings.Default.dbName;
            SdbSubTitleBox.Text = Settings.Default.dbSubName;
            SdbPSWDBox.Password = Settings.Default.dbPassword;
            SwelcomeTitleBox.Text = Settings.Default.welcomeTitle;
        }

        private void SuserNameBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            Settings.Default.UserName = SuserNameBox.Text;
            Settings.Default.Save();
        }

        private void SpswdeBox_PasswordChanged(object sender, RoutedEventArgs e)
        {
            Settings.Default.Password = SpswdeBox.Password;
            Settings.Default.Save();
        }

        private void SdbTitleBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            Settings.Default.dbName = SdbTitleBox.Text;
            Settings.Default.Save();
        }

        private void SdbSubTitleBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            Settings.Default.dbSubName = SdbSubTitleBox.Text;
            Settings.Default.Save();
        }

        private void SdbPSWDBox_PasswordChanged(object sender, RoutedEventArgs e)
        {
            Settings.Default.dbPassword = SdbPSWDBox.Password;
            Settings.Default.Save();
        }

        private void SwelcomeTitleBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            Settings.Default.welcomeTitle = SwelcomeTitleBox.Text;
            Settings.Default.Save();
        }
    }
}
